> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Preference

> Deletes a user preference.

`Unary` · [`Users`](https://ona.com/docs/api-reference/generated/user/overview)

Deletes a user preference.

Use this method to:

* Remove settings
* Reset preferences
* Clean up configurations

### Examples

* Delete preference:

  Removes a specific preference.

  ```yaml theme={null}
  userPreferenceId: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.UserService/DeletePreference
```

Send a Bearer token as described in [Authentication](https://ona.com/docs/api-reference.md#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

```bash cURL theme={null}
export ONA_HOST=https://app.ona.com
export ONA_API_KEY=<your-token>

curl --request POST \
  --url "$ONA_HOST/api/gitpod.v1.UserService/DeletePreference" \
  --header "Authorization: Bearer $ONA_API_KEY" \
  --header "Content-Type: application/json" \
  --data '{
  "userPreferenceId": "<user-preference-id>"
}'
```

```python Python theme={null}
import gitpod.v1.user_pb2 as user_pb2
from ona_sdk import create_client_from_env

ona = create_client_from_env()
request = user_pb2.DeletePreferenceRequest(
    user_preference_id="<user-preference-id>",
)
response = ona.services.user.delete_preference(request)
print(response)
```

```typescript TypeScript theme={null}
import { create } from "@bufbuild/protobuf";
import { createClientFromEnv } from "@gitpod/sdk";
import { DeletePreferenceRequestSchema } from "@gitpod/sdk/gitpod/v1/user_pb";

async function main() {
  const ona = createClientFromEnv();
  const request = create(DeletePreferenceRequestSchema, {
    userPreferenceId: "<user-preference-id>",
  });
  const response = await ona.services.user.deletePreference(request);
  console.log(response);
}

main().catch(console.error);
```

```go Go theme={null}
package main

import (
	"context"
	"fmt"
	"log"

	"connectrpc.com/connect"
	"github.com/gitpod-io/gitpod-sdk-go/sdk"
	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
)

func main() {
	ona, err := sdk.NewFromEnv()
	if err != nil {
		log.Fatal(err)
	}

	request := connect.NewRequest(&gitpodpb.DeletePreferenceRequest{
		UserPreferenceId: "<user-preference-id>",
	})
	response, err := ona.Services.User.DeletePreference(context.Background(), request)
	if err != nil {
		log.Fatal(err)
	}
	fmt.Println(response.Msg)
}
```

```json Request body theme={null}
{
  "userPreferenceId": "<user-preference-id>"
}
```

## Request

`gitpod.v1.DeletePreferenceRequest`

| Field | Type | Required | Description |
| - | - | - | - |
| `userPreferenceId` | string | No | Constraints: `string.uuid=true`. |

## Response

`gitpod.v1.DeletePreferenceResponse`

This message has no fields.


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.